Subject: Re: [bug#57111] [PATCH 00/56] gnu: crates-io: Allow build of various rust packages.

From: Efraim Flashner <[email-masked]>
Date: Tue, 2 Apr 2024 14:36:25 +0300

On Wed, Aug 10, 2022 at 11:48:16AM +0000, Jean Pierre De Jesus DIAZ via Guix-patches via wrote:
> This patch series allows cargo-build-system to fully build and test
> some of these packages. These are small rust packages though.
> 
> Probably were added without verifying if the crate could get built or
> not. So these patches are mostly one liners removing `#:skip-build? #t'.
> 
> I did a quick pass over the crates to find the simpler ones, there are
> more for sure but don't want to send hundreds of patches. I'll tackle
> these easy ones first and then I'll proceed with most complex ones
> on further patches that require adding new packages and modifying
> existing ones.
> 
> I've tested all of these crates on x86_64 and they build without
> problems.
> 
> Maxime I've CCed you as this could relate to antioxidant (as it
> requires crates to build, am I right?).
> 
> —
> Jean-Pierre De Jesus DIAZ

Better late than never, 23 of the patches applied cleanly, the rest
either were changed to build or were removed.  Patches applied to the
rust-team branch.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted